dofile("Scripts/levelManager.lua");

LManager = LevelManager.create();

LManager:AddGame(eGAME_METER);
LManager:AddGame(eGAME_SPIN);
LManager:AddGame(eGAME_RECALL);
LManager:AddGame(eGAME_SHELL);
LManager:AddGame(eGAME_COMBO);
LManager:AddGame(eGAME_TAG);

LManager:AddCandle(165, 74, 7500);
LManager:AddCandle(285, 74, 7500);
LManager:AddCandle(576, 74, 7500);

-- skewed block formation
LManager:AddTable(eTYPE_TABLE1, 200, 260);
LManager:AddTable(eTYPE_TABLE2, 380, 260);
LManager:AddTable(eTYPE_TABLE3, 560, 260);
LManager:AddTable(eTYPE_TABLE4, 150, 375);
LManager:AddTable(eTYPE_TABLE5, 330, 375);
LManager:AddTable(eTYPE_TABLE6, 510, 375);
LManager:AddTable(eTYPE_TABLE7, 100, 490);
LManager:AddTable(eTYPE_TABLE8, 280, 490);
LManager:AddTable(eTYPE_TABLE9, 460, 490);

seated = LManager.GenSeated(eTYPE_SEATED3);
seated.tableIdx = 1;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED4);
seated.tableIdx = 2;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED5);
seated.tableIdx = 3;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED6);
seated.tableIdx = 4;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED7);
seated.tableIdx = 5;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED8);
seated.tableIdx = 6;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED9);
seated.tableIdx = 7;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED10);
seated.tableIdx = 8;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED11);
seated.tableIdx = 9;
LManager:AddSeated(seated);

-- table 1
guest = LManager.GenGuest(eTYPE_GUEST9);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 35000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 60000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 105000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 128000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 155000;
LManager:AddGuest(guest);

-- table 2
guest = LManager.GenGuest(eTYPE_GUEST10);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 5000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 30000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 78000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 105000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 130000;
guest.needs[6] = eWANT_DRINK;
guest.times[6] = 155000;
guest.needs[7] = eWANT_TALK;
guest.times[7] = 215000;
guest.needs[8] = eWANT_GIFT;
guest.times[8] = 252000;
LManager:AddGuest(guest);

-- table 3
guest = LManager.GenGuest(eTYPE_GUEST11);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 8000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 38000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 105000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 135000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 185000;
guest.needs[6] = eWANT_DRINK;
guest.times[6] = 220000;

LManager:AddGuest(guest);

-- table 4
guest = LManager.GenGuest(eTYPE_GUEST12);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 30000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 128000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 144000;
LManager:AddGuest(guest);

-- table 5
guest = LManager.GenGuest(eTYPE_GUEST13);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 38000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 68000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 94000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 165000;
LManager:AddGuest(guest);

-- table 6
guest = LManager.GenGuest(eTYPE_GUEST14);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 35000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 65000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 10000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 133000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 155000;
guest.needs[6] = eWANT_DRINK;
guest.times[6] = 185000;
guest.needs[7] = eWANT_TALK;
guest.times[7] = 215000;
guest.needs[8] = eWANT_GIFT;
guest.times[8] = 255000;
LManager:AddGuest(guest);

-- table 7
guest = LManager.GenGuest(eTYPE_GUEST15);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 18000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 68000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 133000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 168000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 211000;
LManager:AddGuest(guest);

-- table 8
guest = LManager.GenGuest(eTYPE_GUEST1);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 28000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 63000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 105000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 188000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 213000;
LManager:AddGuest(guest);

-- table 9
guest = LManager.GenGuest(eTYPE_GUEST2);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 13000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 66000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 93000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 155000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 180000;
guest.needs[6] = eWANT_DRINK;
guest.times[6] = 205000;
guest.needs[7] = eWANT_TALK;
guest.times[7] = 228000;
guest.needs[8] = eWANT_GIFT;
guest.times[8] = 255000;
guest.needs[9] = eWANT_TALK;
guest.times[9] = 33000;
guest.needs[10] = eWANT_GIFT;
guest.times[10] = 260000;
LManager:AddGuest(guest);

LManager:AdjustGuestHappiness(150);
LManager:SetSnackTime(35000);

LManager:SetLevelNumber(5,8);
LManager:SetLevelScores(10800, 14400);
LManager:SetLevelTime(25000);

gameObject = LManager:GenerateGameObject();

levelSetting = LManager:GenerateLevelSettings();